Subject: Re: bug#54234: Dropping versioned docdir for license files?

From: Ludovic Courtès <[email-masked]>
Date: Tue, 15 Mar 2022 14:56:13 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Recently while packaging sysbench, I noticed that the gnu-build-system's
> docdir expands to 'share/doc/name', while the 'install-license-files'
> phase installs the license files to 'share/doc/name-version' instead:

[...]

> It seems to me it'd be nicer to have both agree on the same docdir.  We
> could drop the version and use gnu-build-system's docdir, or alter the
> default gnu-build-system docdir to use a versioned output.  The later
> some more troublesome, as we'd have to do the same adjustment for each
> build system, and I'm not convinced of the value added.  So I'd suggest
> we simply normalize to use the standard docdir.

Fine with me!  We can do that in ‘core-updates’.

Ludo’.